Share via


Environment Settings - Update

Modify properties of environment setting.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.LabServices/labaccounts/{labAccountName}/labs/{labName}/environmentsettings/{environmentSettingName}?api-version=2018-10-15

URI Parameters

Name In Required Type Description
environmentSettingName
path True

string

The name of the environment Setting.

labAccountName
path True

string

The name of the lab Account.

labName
path True

string

The name of the lab.

resourceGroupName
path True

string

The name of the resource group.

subscriptionId
path True

string

The subscription ID.

api-version
query True

string

Client API version.

Request Body

Name Type Description
location

string

The location of the resource.

properties.configurationState

ConfigurationState

Describes the user's progress in configuring their environment setting

properties.description

string

Describes the environment and its resource settings

properties.provisioningState

string

The provisioning status of the resource.

properties.resourceSettings

ResourceSettingsFragment

The resource specific settings

properties.title

string

Brief title describing the environment and its resource settings

properties.uniqueIdentifier

string

The unique immutable identifier of a resource (Guid).

tags

object

The tags of the resource.

Responses

Name Type Description
200 OK

EnvironmentSetting

OK

Other Status Codes

CloudError

BadRequest

Security

azure_auth

OAuth2 Implicit Grant

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation Access Microsoft Azure

Definitions

Name Description
CloudError

Error from a REST request.

CloudErrorBody

Body of an error from a REST request.

ConfigurationState

Describes the user's progress in configuring their environment setting

EnvironmentSetting

Represents settings of an environment, from which environment instances would be created

EnvironmentSettingFragment

Represents settings of an environment, from which environment instances would be created

LatestOperationResult

Details of the status of an operation.

ManagedLabVmSize

The size of the virtual machine

PublishingState

Describes the readiness of this environment setting

ReferenceVm

Details of a Reference Vm

ReferenceVmFragment

Details of a Reference Vm

ResourceSettings

Represents resource specific settings

ResourceSettingsFragment

Represents resource specific settings

VmStateDetails

Details about the state of the reference virtual machine.

CloudError

Error from a REST request.

Name Type Description
error

CloudErrorBody

Body of an error from a REST request.

CloudErrorBody

Body of an error from a REST request.

Name Type Description
code

string

details

CloudErrorBody[]

Inner errors.

message

string

target

string

ConfigurationState

Describes the user's progress in configuring their environment setting

Value Description
NotApplicable

User either hasn't started configuring their template or they haven't started the configuration process.

Completed

User is finished modifying the template.

EnvironmentSetting

Represents settings of an environment, from which environment instances would be created

Name Type Description
id

string

The identifier of the resource.

location

string

The location of the resource.

name

string

The name of the resource.

properties.configurationState

ConfigurationState

Describes the user's progress in configuring their environment setting

properties.description

string

Describes the environment and its resource settings

properties.lastChanged

string (date-time)

Time when the template VM was last changed.

properties.lastPublished

string (date-time)

Time when the template VM was last sent for publishing.

properties.latestOperationResult

LatestOperationResult

The details of the latest operation. ex: status, error

properties.provisioningState

string

The provisioning status of the resource.

properties.publishingState

PublishingState

Describes the readiness of this environment setting

properties.resourceSettings

ResourceSettings

The resource specific settings

properties.title

string

Brief title describing the environment and its resource settings

properties.uniqueIdentifier

string

The unique immutable identifier of a resource (Guid).

tags

object

The tags of the resource.

type

string

The type of the resource.

EnvironmentSettingFragment

Represents settings of an environment, from which environment instances would be created

Name Type Description
id

string

The identifier of the resource.

location

string

The location of the resource.

name

string

The name of the resource.

properties.configurationState

ConfigurationState

Describes the user's progress in configuring their environment setting

properties.description

string

Describes the environment and its resource settings

properties.provisioningState

string

The provisioning status of the resource.

properties.resourceSettings

ResourceSettingsFragment

The resource specific settings

properties.title

string

Brief title describing the environment and its resource settings

properties.uniqueIdentifier

string

The unique immutable identifier of a resource (Guid).

tags

object

The tags of the resource.

type

string

The type of the resource.

LatestOperationResult

Details of the status of an operation.

Name Type Description
errorCode

string

Error code on failure.

errorMessage

string

The error message.

httpMethod

string

The HttpMethod - PUT/POST/DELETE for the operation.

operationUrl

string

The URL to use to check long-running operation status

requestUri

string

Request URI of the operation.

status

string

The current status of the operation.

ManagedLabVmSize

The size of the virtual machine

Value Description
Basic

The base VM size

Standard

The standard or default VM size

Performance

The most performant VM size

PublishingState

Describes the readiness of this environment setting

Value Description
Draft

Initial state of an environment setting.

Publishing

Currently provisioning resources.

Published

All resources are currently provisioned.

PublishFailed

Failed to provision all the necessary resources.

Scaling

Currently provisioning resources without recreating VM image.

ReferenceVm

Details of a Reference Vm

Name Type Description
password

string

The password of the virtual machine. This will be set to null in GET resource API

userName

string

The username of the virtual machine

vmResourceId

string

VM resource Id for the environment

vmStateDetails

VmStateDetails

The state details for the reference virtual machine.

ReferenceVmFragment

Details of a Reference Vm

Name Type Description
password

string

The password of the virtual machine. This will be set to null in GET resource API

userName

string

The username of the virtual machine

ResourceSettings

Represents resource specific settings

Name Type Description
cores

integer (int32)

The translated compute cores of the virtual machine

galleryImageResourceId

string

The resource id of the gallery image used for creating the virtual machine

id

string

The unique id of the resource setting

imageName

string

The name of the image used to created the environment setting

referenceVm

ReferenceVm

Details specific to Reference Vm

size

ManagedLabVmSize

The size of the virtual machine

ResourceSettingsFragment

Represents resource specific settings

Name Type Description
galleryImageResourceId

string

The resource id of the gallery image used for creating the virtual machine

referenceVm

ReferenceVmFragment

Details specific to Reference Vm

size

ManagedLabVmSize

The size of the virtual machine

VmStateDetails

Details about the state of the reference virtual machine.

Name Type Description
lastKnownPowerState

string

Last known compute power state captured in DTL

powerState

string

The power state of the reference virtual machine.

rdpAuthority

string

The RdpAuthority property is a server DNS host name or IP address followed by the service port number for RDP (Remote Desktop Protocol).

sshAuthority

string

The SshAuthority property is a server DNS host name or IP address followed by the service port number for SSH.